#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,280,320,640,1320,1640,1800,1880,1920,1960,2000,2680
 * N : 25,80,160,200,240,280,320,640,1320,1640,1800,1880,1920,1960,2000,2680
 * NB : 2,8,8,8,28,56,40,40,40,40,40,56,40,56,64,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 2; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 28; \
   else if ((n_) < 300) (nb_) = 56; \
   else if ((n_) < 1840) (nb_) = 40; \
   else if ((n_) < 1900) (nb_) = 56; \
   else if ((n_) < 1940) (nb_) = 40; \
   else if ((n_) < 1980) (nb_) = 56; \
   else if ((n_) < 2340) (nb_) = 64; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
