#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,360,520,1040,1560,1840,2120
 * N : 25,120,240,360,520,1040,1560,1840,2120
 * NB : 4,8,8,8,16,40,80,80,112
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 440) (nb_) = 8; \
   else if ((n_) < 780) (nb_) = 16; \
   else if ((n_) < 1300) (nb_) = 40; \
   else if ((n_) < 1980) (nb_) = 80; \
   else (nb_) = 112; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
